Bug 1007760 - Properties editor - values editable in modal window should be read-only in value box with editor icon instead of dropdown
Properties editor - values editable in modal window should be read-only in va...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ER1
: 6.0.1
Assigned To: Tihomir Surdilovic
Radovan Synek
:
Depends On:
Blocks: bpms6_ux/brms6_ux
  Show dependency treegraph
 
Reported: 2013-09-13 05:29 EDT by Radovan Synek
Modified: 2014-08-06 16:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:01:58 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2013-09-13 05:29:41 EDT
Take a look at property editor. Some properties can be changed in "value" column only, but others are more complex and the value column shows dropdown box leading to modal window with more appropriate editor.

Editing these complex properties straight in the value box is not probably the best practise - there is better editor to do that. In this case, such properties should be edited only in the modal window editor and the value column should be read-only (it can show part of the value so that user can see if the value has been filled in or not) with edit icon on the right side leading to that modal window editor.
Comment 1 Tihomir Surdilovic 2014-02-05 18:55:25 EST
This has been implemented for all custom editors in Designer. Users have to use the trigger field in order to edit the custom editable property values. Fix in Designer master and 6.0.x branches
Comment 2 Radovan Synek 2014-02-21 06:01:08 EST
Verified with BPMS-6.0.1.ER1

Note You need to log in before you can comment on or make changes to this bug.